<template>
  <div class="mt-5">
    <div class="row card mt-5 ms-3" style="width: 80%">
      <div class="row">
        <div class="col-md-4 p-4">
          <img
            :src="data.crestUrl"
            @error="replaceByDefault"
            width="100px"
            style="float: left"
          />
        </div>
        <div class="col-md-8">
          <div class="mb-2" style="font-size: 20px; font-weight: 600">
            {{ data.name }}
          </div>
          <div class="row row-cols-2 left f-15">
            <div class="col">Stadion</div>
            <div class="col">: {{ data.venue }}</div>
          </div>
          <div class="row row-cols-2 left f-15">
            <div class="col">Nomor Telepon</div>
            <div class="col">: {{ data.phone }}</div>
          </div>
          <div class="row row-cols-2 left f-15">
            <div class="col">Website</div>
            <div class="col">: {{ data.website }}</div>
          </div>
          <div class="row row-cols-2 left mb-4 f-15">
            <div class="col">Email</div>
            <div class="col">: {{ data.email }}</div>
          </div>
        </div>
      </div>
    </div>
    <div class="row mt-5 ms-3" style="width: 80%">
      <b-table striped hover :items="squad" :fields="fields">
        <template #cell(action)="row">
          <div>
            <button
              class="btn btn-primary"
              @click="getDetail(row.item.id)"
              v-b-modal.my-modal
            >
              detail
            </button>
          </div>
        </template>
      </b-table>
    </div>
    <b-modal id="my-modal" hide-header-close title="Detail Profile" ok-only>
      <modal-detail :id-profile="idPlayer"></modal-detail>
    </b-modal>
  </div>
</template>

<script>
import axios from "axios";
import img from "../assets/404.png";
import ModalDetail from "../components/modal-detail.vue";
export default {
  components: {
    ModalDetail,
  },
  data() {
    return {
      data: [],
      idTeam: "",
      idPlayer: "",
      openModal: false,
      squad: [],
      fields: ["name", "nationality", "position", "action"],
    };
  },
  methods: {
    async getData() {
      const params = {
        headers: {
          "X-Auth-Token": "258f2af17cb14a459e29cc0cb1873d40",
        },
      };

      try {
        await axios
          .get("/api/v2/teams/" + this.idTeam, params)
          .then((response) => {
            this.data = response.data;
            this.squad = response.data.squad;
          });
      } catch (error) {
        console.log(error);
      }
    },
    replaceByDefault(e) {
      e.target.src = img;
    },
    getDetail(id) {
      this.idPlayer = id;
    },
  },
  mounted() {
    this.idTeam = this.$route.params.id;
    this.getData();
  },
};
</script>

<style lang="scss" scoped>
.left {
  text-align: left;
}

.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  transition: 0.3s;
}

.f-15 {
  font-size: 15px;
}
</style>